%define rname imglikeopera
%define cid imglikeopera@imfo.ru
%define ciddir %firefox_noarch_extensionsdir/%cid

Name: %firefox_name-%rname
Version: 0.6.15
Release: alt1
Summary: ImgLikeOpera allows load only the images that you want in Firefox browser

License: MPL 1.1/GPL 2.0 or later/LGPL 2.1 or later
Group: Networking/WWW
URL: http://imglikeopera.mozdev.org/

Source0: %rname-%version.xpi
Source1: license.txt

BuildArch: noarch
BuildRequires: rpm-build-firefox unzip

Requires: %firefox_name >= 1.4

Packager: Igor Zubkov <icesik@altlinux.org>

%description
ImgLikeOpera allows load only the images that you want in Firefox browser.
This extension is very useful for non broadband users.

Features:
  * placeholders for blocked images (hi, LJ treads!)
  * (re)load image from context menu or Ctrl+rightMouseClick
  * forced expiration time (5 minutes - 3 months)
  * one of four policies for each tab:
    - don't load images
    - load cached images only
    - load images for the originating Web site only
    - load all images
  * filters

ImgLikeOpera supports two types of filters: simple, and Regular
Expression (thanks AdBlock).

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

mkdir -p %buildroot%_docdir/%name-%version/
cp %SOURCE1 %buildroot%_docdir/%name-%version/

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%dir %_docdir/%name-%version/license.txt
%ciddir

%changelog
* Mon Aug 06 2007 Igor Zubkov <icesik@altlinux.org> 0.6.15-alt1
- build for Sisyphus

